My Mission

Genesis Simple Edits requires WordPress 4.7.2 and Genesis 2.4.2, or greater.